PUT restapi/personal/assignments/{elementId}/v1

Update settings for an assignment.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
elementId

The elementId for the assignment, unique in scope of a customer.

integer

Required

Body Parameters

Settings to update for the assignment

Itsolutions.Itslearning.Web.RestApi.Personal.Assignment.Requests.UpdateAssignmentRequest
NameDescriptionTypeAdditional information
Title

The title of the element.

string

None.

Text

The assignment text, can contain html (rich text editor). Pass null if you don't want to make any changes.

string

None.

Visibility

Defines visibility settings. Pass null if you don't want to make any changes.

Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models.VisibilitySettings

None.

AssignTo

Defines who to assign the element to (specific users and/or groups).

If null, or if no specific Ids are provided:

  • When creating element: Permissions will be the same as for parent folder.
  • When updating element: No changes will be made to permissions.

Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models.AssignTo

None.

LearningObjectivesIds

List of learning objective IDs to associate with this assignment. If null, no changes will be made to learning objectives associations. If empty, all associations will be removed.

Collection of integer

None.

DeadlineSettings

Deadline settings. Pass null if you don't want to make any changes.

Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models.DeadlineSettings

None.

AssessmentStatusId

The assessment status id ("not submitted", "completed" etc) used for the element. If null, it will not be changed when updating the element.

integer

None.

AssessmentId

The assessment id (grades / assessment scale) used for the element. If null, it will not be changed when updating the element. To remove assessmentId, use 0

integer

None.

MaxScore

Max score in case if score is in use instead of assessment scale. If null, it will not be changed when updating the element. To remove maxScore, use any negative value, e.g. -1

decimal number

None.

IsAssessmentVisibleForStudents

Defines whether the assessment is visible for students (aka "Results are visible to students"). If null, it will not be changed when updating the element.

boolean

None.

AddToAssessmentRecord

Defines whether current element should be added into assessment record. If null, it will not be changed when updating the element.

boolean

None.

AssessmentRecordCategoryId

Which category in assessment record should be used for current element, if it is added into assessment record. Null means that it will not be changed when updating the element, or not connected. To remove connection to category, use 0.

integer

None.

TermId

The ID of term in case of adding element into assessment record. If null, it will not be changed when updating the element.

integer

None.

IsAnonymous

Defines whether submission is anonymous. If null, it will not be changed when updating the element.

boolean

None.

IsHomework

Defines whether the element is homework. If null, it will not be changed when updating the element.

boolean

None.

IsMandatory

Defines whether submission is mandatory. If null, it will not be changed when updating the element.

boolean

None.

CompletionMode

Indicates whether submission is required for this element to complete the connected task, or if it can be marked as completed without submission. If null, it will not be changed when updating the element.

Itslearning.Platform.RestApi.Sdk.Common.Entities.ElementCompletionMode

None.

ExcludeFromTeacherTaskList

Defines whether to exclude from teacher's follow-up tasks or not. If null, it will not be changed when updating the element.

boolean

None.

DeletedFileIds

List of file ids to deleted, connected to the element.

Collection of integer

None.

NewFiles

List of files to be added to the element, attachments to the element. These files should be already uploaded as temporary files using file upload API, and here you should provide their temporary file ids.

Collection of Itsolutions.Itslearning.Web.RestApi.Personal.FileUpload.UploadedTempFile

None.

UsePlagiarismCheck

Defines whether answers will be checked for plagiarism. When true there are some restrictions on the files that can be uploaded.

boolean

None.

ShowPlagiarismResultsToStudents

Defines whether plagiarism results will be shown to students. Depends on being true.

boolean

None.

CustomLabelIds

Set of custom label IDs to associate with this assignment. Now it supports only one value Pass null if no changes needed The custom labels are defined at site level, currently only supported for assignments.

Collection of integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Title": "sample string 1",
  "Text": "sample string 2",
  "Visibility": {
    "IsActive": true,
    "ActiveFrom": "2026-05-13T09:55:00Z",
    "ActiveTo": "2026-05-13T09:55:00Z"
  },
  "AssignTo": {
    "ParticipantIds": [
      1,
      2
    ],
    "GroupIds": [
      1,
      2
    ],
    "GroupName": "sample string 1"
  },
  "LearningObjectivesIds": [
    1,
    2
  ],
  "DeadlineSettings": {
    "Deadline": "2026-05-13T09:55:00Z",
    "IsSubmissionAfterDeadlineAllowed": true
  },
  "AssessmentStatusId": 1,
  "AssessmentId": 1,
  "MaxScore": 1.1,
  "IsAssessmentVisibleForStudents": true,
  "AddToAssessmentRecord": true,
  "AssessmentRecordCategoryId": 1,
  "TermId": 1,
  "IsAnonymous": true,
  "IsHomework": true,
  "IsMandatory": true,
  "CompletionMode": 1,
  "ExcludeFromTeacherTaskList": true,
  "DeletedFileIds": [
    1,
    2
  ],
  "NewFiles": [
    {
      "FileRepoId": "sample string 1",
      "SignedFileRepoId": "sample string 2",
      "Name": "sample string 3",
      "MimeType": "sample string 4",
      "SourceType": 1
    },
    {
      "FileRepoId": "sample string 1",
      "SignedFileRepoId": "sample string 2",
      "Name": "sample string 3",
      "MimeType": "sample string 4",
      "SourceType": 1
    }
  ],
  "UsePlagiarismCheck": true,
  "ShowPlagiarismResultsToStudents": true,
  "CustomLabelIds": [
    1,
    2
  ]
}

application/xml, text/xml

Sample:
<UpdateAssignmentRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Assignment.Requests">
  <AddToAssessmentRecord>true</AddToAssessmentRecord>
  <AssessmentId>1</AssessmentId>
  <AssessmentRecordCategoryId>1</AssessmentRecordCategoryId>
  <AssessmentStatusId>1</AssessmentStatusId>
  <AssignTo xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models">
    <d2p1:GroupIds xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:int>1</d3p1:int>
      <d3p1:int>2</d3p1:int>
    </d2p1:GroupIds>
    <d2p1:GroupName>sample string 1</d2p1:GroupName>
    <d2p1:ParticipantIds xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:int>1</d3p1:int>
      <d3p1:int>2</d3p1:int>
    </d2p1:ParticipantIds>
  </AssignTo>
  <CompletionMode>NotApplicable</CompletionMode>
  <CustomLabelIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:int>1</d2p1:int>
    <d2p1:int>2</d2p1:int>
  </CustomLabelIds>
  <DeadlineSettings xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models">
    <d2p1:Deadline>2026-05-13T09:55:00Z</d2p1:Deadline>
    <d2p1:IsSubmissionAfterDeadlineAllowed>true</d2p1:IsSubmissionAfterDeadlineAllowed>
  </DeadlineSettings>
  <DeletedFileIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:int>1</d2p1:int>
    <d2p1:int>2</d2p1:int>
  </DeletedFileIds>
  <ExcludeFromTeacherTaskList>true</ExcludeFromTeacherTaskList>
  <IsAnonymous>true</IsAnonymous>
  <IsAssessmentVisibleForStudents>true</IsAssessmentVisibleForStudents>
  <IsHomework>true</IsHomework>
  <IsMandatory>true</IsMandatory>
  <LearningObjectivesIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:int>1</d2p1:int>
    <d2p1:int>2</d2p1:int>
  </LearningObjectivesIds>
  <MaxScore>1.1</MaxScore>
  <NewFiles xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.FileUpload">
    <d2p1:UploadedTempFile>
      <d2p1:FileRepoId>sample string 1</d2p1:FileRepoId>
      <d2p1:MimeType>sample string 4</d2p1:MimeType>
      <d2p1:Name>sample string 3</d2p1:Name>
      <d2p1:SignedFileRepoId>sample string 2</d2p1:SignedFileRepoId>
      <d2p1:SourceType>Dropbox</d2p1:SourceType>
    </d2p1:UploadedTempFile>
    <d2p1:UploadedTempFile>
      <d2p1:FileRepoId>sample string 1</d2p1:FileRepoId>
      <d2p1:MimeType>sample string 4</d2p1:MimeType>
      <d2p1:Name>sample string 3</d2p1:Name>
      <d2p1:SignedFileRepoId>sample string 2</d2p1:SignedFileRepoId>
      <d2p1:SourceType>Dropbox</d2p1:SourceType>
    </d2p1:UploadedTempFile>
  </NewFiles>
  <ShowPlagiarismResultsToStudents>true</ShowPlagiarismResultsToStudents>
  <TermId>1</TermId>
  <Text>sample string 2</Text>
  <Title>sample string 1</Title>
  <UsePlagiarismCheck>true</UsePlagiarismCheck>
  <Visibility xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models">
    <d2p1:ActiveFrom>2026-05-13T09:55:00Z</d2p1:ActiveFrom>
    <d2p1:ActiveTo>2026-05-13T09:55:00Z</d2p1:ActiveTo>
    <d2p1:IsActive>true</d2p1:IsActive>
  </Visibility>
</UpdateAssignmentRequest>

application/x-www-form-urlencoded

Sample:
No sample available

Response Information

Resource Description

True if update was successful, false otherwise

Itsolutions.Itslearning.Web.RestApi.Personal.Assignment.Responses.AssignmentModel
NameDescriptionTypeAdditional information
ElementId

The unique identifier for the assignment element (which is used in a course) in scope of a customer.

integer

None.

Title

The title of the assignment

string

None.

IsHomework

Defines whether the assignment is a homework assignment.

boolean

None.

IsMandatory

Defines whether the assignment is mandatory.

boolean

None.

Deadline

Deadline for the assignment. If null, there is no deadline.

date

None.

UsePlagiarismCheck

Defines whether answers will be checked for plagiarism. When true there are some restrictions on the files that can be uploaded.

boolean

None.

AssessmentId

The assessment id (grades / assessment scale) used for the assignment, will be null if assessment scale is not used.

integer

None.

MaxScore

Max score used for assessment using score.

decimal number

None.

AssessmentStatusId

The assessment status id ("not submitted", "completed" etc) used for the assignment, will be null if no status is used.

integer

None.

IsAssessmentVisibleForStudents

Defines whether the assessment is visible for students.

boolean

None.

IsActive

Indicates whether the element visibility setting is set to "Active" or "Scheduled". The value of false means "Inactive".

boolean

None.

ActiveFrom

Active from date and time in UTC. If set, the element will be active from this date.

date

None.

ActiveTo

Active to date and time in UTC. If set, the element will be active until this date.

date

None.

IsSubmissionAfterDeadlineAllowed

Defines whether submission after the deadline is allowed.

boolean

None.

SubmissionType

Submission type for the assignment

Itsolutions.Itslearning.Web.RestApi.Personal.Assignment.Enums.AssignmentSubmissionType

None.

CompletionMode

Indicates whether submission is required for this assignment, or if it can be marked as completed without submission. ElementCompletionMode.ManualByTeacher and ElementCompletionMode.ManualByStudent means that assignment is in "task" mode, otherwise submission is required - standard old assignment functionality.

Itslearning.Platform.RestApi.Sdk.Common.Entities.ElementCompletionMode

None.

ExcludeFromTeacherTaskList

Defines whether to exclude from teacher's follow-up tasks or not.

boolean

None.

IsAnonymous

Defines whether submission is anonymous.

boolean

None.

IsSelfAssessmentRequired

Defines whether self-assessment is required.

boolean

None.

PeersToAssessCount

How many other students should each student peer assess. null means that peer assessment is not used.

integer

None.

Files

Files attached to the assignment.

Collection of Itsolutions.Itslearning.Web.RestApi.Personal.Assignment.Responses.AssignmentFileModel

None.

Text

string

None.

AnswerId

integer

None.

CanEditAssignment

True if the user can edit the assignment itself - Text and Files, false otherwise.

boolean

None.

CanEvaluateAnswers

boolean

None.

CanSubmitOrEditAnswer

boolean

None.

TermId

The ID of term if the element is added into assessment record.

integer

None.

AssessmentRecordCategoryId

Which category in assessment record should be used for current element, if it is added into assessment record.

integer

None.

AddedToAssessmentRecord

If the current element is added into assessment record.

boolean

None.

CustomLabelId

Custom label id

integer

None.

LearningObjectiveSettings

Learning objective-related settings.

Itsolutions.Itslearning.Web.Areas.Elements.Models.LearningObjectiveSettingsModel

None.

Response Formats

application/json, text/json

Sample:
{
  "ElementId": 1,
  "Title": "sample string 2",
  "IsHomework": true,
  "IsMandatory": true,
  "Deadline": "2026-05-13T09:55:00Z",
  "UsePlagiarismCheck": true,
  "AssessmentId": 1,
  "MaxScore": 1.1,
  "AssessmentStatusId": 1,
  "IsAssessmentVisibleForStudents": true,
  "IsActive": true,
  "ActiveFrom": "2026-05-13T09:55:00Z",
  "ActiveTo": "2026-05-13T09:55:00Z",
  "IsSubmissionAfterDeadlineAllowed": true,
  "SubmissionType": "Individual",
  "CompletionMode": "NotApplicable",
  "ExcludeFromTeacherTaskList": true,
  "IsAnonymous": true,
  "IsSelfAssessmentRequired": true,
  "PeersToAssessCount": 1,
  "Files": [
    {
      "FileId": 1,
      "Name": "sample string 2",
      "Size": 1,
      "LastModified": "2026-05-13T09:55:00Z"
    },
    {
      "FileId": 1,
      "Name": "sample string 2",
      "Size": 1,
      "LastModified": "2026-05-13T09:55:00Z"
    }
  ],
  "Text": "sample string 12",
  "AnswerId": 1,
  "CanEditAssignment": true,
  "CanEvaluateAnswers": true,
  "CanSubmitOrEditAnswer": true,
  "TermId": 1,
  "AssessmentRecordCategoryId": 1,
  "AddedToAssessmentRecord": true,
  "CustomLabelId": 1,
  "LearningObjectiveSettings": {
    "IsLearningObjectiveEnabledForLocation": true,
    "CourseHasLearningObjectives": true,
    "LearningObjectives": [
      {
        "Id": 1,
        "Title": "sample string 2",
        "Description": "sample string 3",
        "IsFromRepository": true,
        "Type": 1
      },
      {
        "Id": 1,
        "Title": "sample string 2",
        "Description": "sample string 3",
        "IsFromRepository": true,
        "Type": 1
      }
    ],
    "CourseId": 3,
    "CourseTitle": "sample string 4",
    "ViewLearningObjectivesPageUrl": "sample string 5",
    "ProgressReportSettings": {
      "LearningObjectiveProgressReportUrlPlaceHolder": "sample string 1",
      "LearningObjectiveIdParameterName": "{LearningObjectiveId}"
    }
  }
}

application/xml, text/xml

Sample:
<AssignmentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Assignment.Responses">
  <ActiveFrom>2026-05-13T09:55:00Z</ActiveFrom>
  <ActiveTo>2026-05-13T09:55:00Z</ActiveTo>
  <AddedToAssessmentRecord>true</AddedToAssessmentRecord>
  <AnswerId>1</AnswerId>
  <AssessmentId>1</AssessmentId>
  <AssessmentRecordCategoryId>1</AssessmentRecordCategoryId>
  <AssessmentStatusId>1</AssessmentStatusId>
  <CanEditAssignment>true</CanEditAssignment>
  <CanEvaluateAnswers>true</CanEvaluateAnswers>
  <CanSubmitOrEditAnswer>true</CanSubmitOrEditAnswer>
  <CompletionMode>NotApplicable</CompletionMode>
  <CustomLabelId>1</CustomLabelId>
  <Deadline>2026-05-13T09:55:00Z</Deadline>
  <ElementId>1</ElementId>
  <ExcludeFromTeacherTaskList>true</ExcludeFromTeacherTaskList>
  <Files>
    <AssignmentFileModel>
      <FileId>1</FileId>
      <LastModified>2026-05-13T09:55:00Z</LastModified>
      <Name>sample string 2</Name>
      <Size>1</Size>
    </AssignmentFileModel>
    <AssignmentFileModel>
      <FileId>1</FileId>
      <LastModified>2026-05-13T09:55:00Z</LastModified>
      <Name>sample string 2</Name>
      <Size>1</Size>
    </AssignmentFileModel>
  </Files>
  <IsActive>true</IsActive>
  <IsAnonymous>true</IsAnonymous>
  <IsAssessmentVisibleForStudents>true</IsAssessmentVisibleForStudents>
  <IsHomework>true</IsHomework>
  <IsMandatory>true</IsMandatory>
  <IsSelfAssessmentRequired>true</IsSelfAssessmentRequired>
  <IsSubmissionAfterDeadlineAllowed>true</IsSubmissionAfterDeadlineAllowed>
  <LearningObjectiveSettings xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.Areas.Elements.Models">
    <d2p1:CourseHasLearningObjectives>true</d2p1:CourseHasLearningObjectives>
    <d2p1:CourseId>3</d2p1:CourseId>
    <d2p1:CourseTitle>sample string 4</d2p1:CourseTitle>
    <d2p1:IsLearningObjectiveEnabledForLocation>true</d2p1:IsLearningObjectiveEnabledForLocation>
    <d2p1:LearningObjectives xmlns:d3p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.Areas.Common.Components.Models">
      <d3p1:LearningObjectiveModel>
        <d3p1:Description>sample string 3</d3p1:Description>
        <d3p1:Id>1</d3p1:Id>
        <d3p1:IsFromRepository>true</d3p1:IsFromRepository>
        <d3p1:Title>sample string 2</d3p1:Title>
        <d3p1:Type>Subject</d3p1:Type>
      </d3p1:LearningObjectiveModel>
      <d3p1:LearningObjectiveModel>
        <d3p1:Description>sample string 3</d3p1:Description>
        <d3p1:Id>1</d3p1:Id>
        <d3p1:IsFromRepository>true</d3p1:IsFromRepository>
        <d3p1:Title>sample string 2</d3p1:Title>
        <d3p1:Type>Subject</d3p1:Type>
      </d3p1:LearningObjectiveModel>
    </d2p1:LearningObjectives>
    <d2p1:ProgressReportSettings>
      <d2p1:LearningObjectiveProgressReportUrlPlaceHolder>sample string 1</d2p1:LearningObjectiveProgressReportUrlPlaceHolder>
    </d2p1:ProgressReportSettings>
    <d2p1:ViewLearningObjectivesPageUrl>sample string 5</d2p1:ViewLearningObjectivesPageUrl>
  </LearningObjectiveSettings>
  <MaxScore>1.1</MaxScore>
  <PeersToAssessCount>1</PeersToAssessCount>
  <SubmissionType>Individual</SubmissionType>
  <TermId>1</TermId>
  <Text>sample string 12</Text>
  <Title>sample string 2</Title>
  <UsePlagiarismCheck>true</UsePlagiarismCheck>
</AssignmentModel>